<?php

use Phinx\Db\Adapter\MysqlAdapter;

class ConfigTable extends Phinx\Migration\AbstractMigration
{
    public function change()
    {
        $this->table('config', [
                'id' => false,
                'engine' => 'InnoDB',
                'encoding' => 'utf8mb4',
                'collation' => 'utf8mb4_general_ci',
                'comment' => '',
                'row_format' => 'DYNAMIC',
            ])
            ->addColumn('name', 'string', [
                'null' => false,
                'limit' => 256,
                'collation' => 'utf8mb4_general_ci',
                'encoding' => 'utf8mb4',
            ])
            ->addColumn('value', 'string', [
                'null' => false,
                'limit' => 256,
                'collation' => 'utf8mb4_general_ci',
                'encoding' => 'utf8mb4',
                'after' => 'name',
            ])
            ->removeColumn('version')
            ->save();
    }
}
